package cn.meowrain.aioj.backend.question.common.enums;

import lombok.Getter;

/**
 * 编程语言枚举
 */
@Getter
public enum LanguageEnum {

    /**
     * Java
     */
    JAVA("java", "Java"),

    /**
     * C++
     */
    CPP("cpp", "C++"),

    /**
     * Python
     */
    PYTHON("python", "Python"),

    /**
     * Go
     */
    GO("go", "Go"),

    /**
     * JavaScript
     */
    JAVASCRIPT("javascript", "JavaScript"),

    /**
     * C
     */
    C("c", "C"),

    /**
     * C#
     */
    CSHARP("csharp", "C#"),

    /**
     * Rust
     */
    RUST("rust", "Rust"),

    /**
     * PHP
     */
    PHP("php", "PHP"),

    /**
     * Swift
     */
    SWIFT("swift", "Swift"),

    /**
     * Kotlin
     */
    KOTLIN("kotlin", "Kotlin"),

    /**
     * TypeScript
     */
    TYPESCRIPT("typescript", "TypeScript"),

    /**
     * Ruby
     */
    RUBY("ruby", "Ruby"),

    /**
     * Shell
     */
    SHELL("shell", "Shell"),

    ;

    /**
     * 语言值
     */
    private final String value;

    /**
     * 描述
     */
    private final String desc;

    LanguageEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
